Batch Fetch X Articles
Retrieves detailed article content for a specified list of X (Twitter) IDs. Use this endpoint to fetch full text, metadata, and media links for multiple posts in a single request. The maximum input quantity is limited by your plan’s QPS. To pass larger input quantity limits, upgrade your plan to get higher QPS.
Back to API Reference
/Article Endpoints
POST
/x/articleAuthorization
AuthorizationBearer token · headerrequiredGlobal API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Request Body
requiredapplication/jsonArray of
stringstringResponses
200A list of objects containing detailed article data for each valid ID provided.
codeintegerrequiredThe status code of the response.
msgstringrequiredThe message of the response.
dataXArticleModel[]requiredA list of X article objects.
Show propertiesHide properties
Array of
XArticleModeltweet_idstring | anyThe ID of the tweet
Show propertiesHide properties
Any of:
string
stringany
anyfull_textstring | anyThe full text of the article tweet
Show propertiesHide properties
Any of:
string
stringany
anycreated_atstring | anyThe creation time
Show propertiesHide properties
Any of:
string
stringany
anylangstring | anyThe language
Show propertiesHide properties
Any of:
string
stringany
anybookmark_countinteger | anyBookmark count
Show propertiesHide properties
Any of:
integer
integerany
anyfavorite_countinteger | anyFavorite count
Show propertiesHide properties
Any of:
integer
integerany
anyreply_countinteger | anyReply count
Show propertiesHide properties
Any of:
integer
integerany
anyretweet_countinteger | anyRetweet count
Show propertiesHide properties
Any of:
integer
integerany
anyquote_countinteger | anyQuote count
Show propertiesHide properties
Any of:
integer
integerany
anyview_countstring | anyView count
Show propertiesHide properties
Any of:
string
stringany
anyview_count_statestring | anyView count state
Show propertiesHide properties
Any of:
string
stringany
anyconversation_idstring | anyConversation ID
Show propertiesHide properties
Any of:
string
stringany
anyauthor_user_idstring | anyAuthor user ID
Show propertiesHide properties
Any of:
string
stringany
anyauthor_screen_namestring | anyAuthor screen name
Show propertiesHide properties
Any of:
string
stringany
anyauthor_namestring | anyAuthor name
Show propertiesHide properties
Any of:
string
stringany
anyauthor_is_blue_verifiedboolean | anyWhether author is blue verified
Show propertiesHide properties
Any of:
boolean
booleanany
anyauthor_verifiedboolean | anyWhether author is verified
Show propertiesHide properties
Any of:
boolean
booleanany
anyauthor_is_verified_organization_affiliateboolean | anyWhether author is verified organization
Show propertiesHide properties
Any of:
boolean
booleanany
anyarticle_idstring | anyArticle ID
Show propertiesHide properties
Any of:
string
stringany
anyarticle_titlestring | anyArticle title
Show propertiesHide properties
Any of:
string
stringany
anyarticle_preview_textstring | anyArticle preview text
Show propertiesHide properties
Any of:
string
stringany
anyarticle_summary_textstring | anyArticle summary text
Show propertiesHide properties
Any of:
string
stringany
anyarticle_cover_image_urlstring | anyArticle cover image URL
Show propertiesHide properties
Any of:
string
stringany
anyarticle_blocksArticleBlock[]Article formatting blocks
Show propertiesHide properties
Array of
ArticleBlocktypestringrequiredThe type of the article block.
textstringrequiredThe text of the article block.
entityRangesArticleBlockRange[]The entity ranges of the article block.
Show propertiesHide properties
Array of
ArticleBlockRangekeyintegerrequiredThe key of the entity range.
lengthintegerrequiredThe length of the entity range.
offsetintegerrequiredThe offset of the entity range.
article_plain_textstring | anyArticle plain text
Show propertiesHide properties
Any of:
string
stringany
anyarticle_markdownstring | anyArticle markdown
Show propertiesHide properties
Any of:
string
stringany
anyarticle_media_image_urlsstring[]Article media image URLs
422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobject⚡Interactive ConsolePOST
⚡Interactive Console / Try APIPOSTLive Console
🌐Target Server:
https://api.twexapi.io● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)
This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.
🔑API Authorization
📝Request Bodyapplication/json
📡
No Response Yet
Configure parameters in the Request tab and click Send Request below.
Request
curl -X POST "https://api.twexapi.io/x/article" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '[
"1803006263529541838",
"1803006263529541839"
]'const response = await fetch("https://api.twexapi.io/x/article", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify([
"1803006263529541838",
"1803006263529541839"
])
});import requests
response = requests.post(
"https://api.twexapi.io/x/article",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json=[
"1803006263529541838",
"1803006263529541839"
],
)Response
{
"code": 0,
"msg": "string",
"data": [
{
"tweet_id": "string",
"full_text": "string",
"created_at": "string",
"lang": "string",
"bookmark_count": 0,
"favorite_count": 0,
"reply_count": 0,
"retweet_count": 0,
"quote_count": 0,
"view_count": "string",
"view_count_state": "string",
"conversation_id": "string",
"author_user_id": "string",
"author_screen_name": "string",
"author_name": "string",
"author_is_blue_verified": true,
"author_verified": true,
"author_is_verified_organization_affiliate": true,
"article_id": "string",
"article_title": "string",
"article_preview_text": "string",
"article_summary_text": "string",
"article_cover_image_url": "string",
"article_blocks": [
{
"type": "string",
"text": "string",
"entityRanges": [
{
"key": 0,
"length": 0,
"offset": 0
}
]
}
],
"article_plain_text": "string",
"article_markdown": "string",
"article_media_image_urls": [
"string"
]
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}